#ifndef _PLAGUE_DISPLAY_ENGINE_H
#define _PLAGUE_DISPLAY_ENGINE_H

#include "core.h"

// display_background : display the background
void display_background(const int background);

// display_foreground : display the foreground, planes, statistics
void display_foreground(const int background, const struct game *current_game);

// display_mutation : display the mutation selection screen
void display_mutation(const int table[4][8], const struct cursor c, const int mutation_menu);

// mutation_selected : display the mutation's informations screen
void mutation_selected(const struct cursor c, const int mutation_menu, const int table[4][8], const int button_selected);

#endif /* _PLAGUE_DISPLAY_ENGINE_H */