#ifndef _MUTATION_ENGINE_H
#define _MUTATION_ENGINE_H

#include "core.h"

// mutation_table : contain the map of the mutation available
struct mutation_table
{
    // Data of the map
    int data[4][8];
};

// mutation : data about a mutation
struct mutation
{
    // Data of the mutation : contagion, lethality, severity, DNA cost
    int contagion, severity, lethality, dna, changement;

    // Name of the mutation
    char *name;
};

// get_mutation : return the mutation table to display
void get_mutation(const struct game *current_game, const int mutation_menu, int table[4][8]);

// init_mat : copy src into dest (for int)
void init_mat(int x, int y, int dest[][x], int src[][x]);

// char_init_mat : copy src into dest (for char)
void char_init_mat(int x, char dest[x], char srx[x]);

#endif /* _MUTATION_ENGINE_H */